Xalan-Java: Class XSLTProcessorFactory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class XSLTProcessorFactory

    java.lang.Object
      |
      +--org.apache.xalan.xslt.XSLTProcessorFactory

public class XSLTProcessorFactory
extends java.lang.Object

Manufactures the processor for performing transformations. Use one of the static getProcessor methods to create an XSLTProcessor object.

Constructor Summary
`XSLTProcessorFactory()`

Method Summary
`static XSLTProcessor` | `getProcessor()` Get a new XSLTProcessor with the default high-performance DTM (Document Table Model) liaison and XML parser.
`static XSLTProcessor` | `getProcessor(XMLParserLiaison parserLiaison)` Get a new XSLTProcessor that will use the specified XMLParserLiaison to interact with a given XML parser.
`static XSLTProcessor` | `getProcessor(XMLParserLiaison parserLiaison, XPathFactory xpathFactory)` Get a new XSLTProcessor that will use the specified XMLParserLiaison and XPathFactory to interact with a given XML parser.
`static XSLTProcessor` | `getProcessorUsingLiaisonName(java.lang.String parserLiaisonClassName)` Get a new XSLTProcessor that will use a given XMLParserLiaison class to interact with a given XML parser.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTProcessorFactory

    public XSLTProcessorFactory()

Method Detail

### getProcessor

    public static XSLTProcessor getProcessor()
                                      throws org.xml.sax.SAXException

  Get a new XSLTProcessor with the default high-performance DTM (Document Table Model) liaison and XML parser.

  Note If you want to process DOM Node input, use getProcessorUsingLiaisonName("org.apache.xalan.xpath.xdom.XercesLiaison").

  Returns:
    An implentation of the XSLTProcessor interface with which you can perform transformations.
  See Also:
    `DTMLiaison`

### getProcessorUsingLiaisonName

    public static XSLTProcessor getProcessorUsingLiaisonName(java.lang.String parserLiaisonClassName)
                                                      throws org.xml.sax.SAXException

  Get a new XSLTProcessor that will use a given XMLParserLiaison class to interact with a given XML parser. You can use this method, for example, if you are processing DOM Node input with org.apache.xalan.xpath.xdom.XercesLiaison and the Xerces XML parser.

  If your input is in the form of a file, character stream, byte stream, or SAX DocumentHandler, you may want to use the high-performance DTM liaison and parser, in which case you can use the no-argument constructor.

  Parameters:
    `parserLiaisonClassName` - The name of the ParserLiaison class.
  Returns:
    An implentation of the XSLTProcessor interface with which you can perform transformations.
  See Also:
    `getProcessor()`, `XMLParserLiaison`, `DTMLiaison`

### getProcessor

    public static XSLTProcessor getProcessor(XMLParserLiaison parserLiaison)

  Get a new XSLTProcessor that will use the specified XMLParserLiaison to interact with a given XML parser. If your input is in the form of a file, character stream, byte stream, or SAX DocumentHandler, you may want to use the high-performance DTM liaison and parser, in which case you can use the no-argument getProcessor() method.
  Parameters:
    `parserLiaison` - the XMLParserLiaison set up to interact with a given XML parser.
  Returns:
    An implentation of the XSLTProcessor interface with which you can perform transformations.
  See Also:
    `getProcessor()`, `XMLParserLiaison`, `DTMLiaison`

### getProcessor

    public static XSLTProcessor getProcessor(XMLParserLiaison parserLiaison,
                                             XPathFactory xpathFactory)

  Get a new XSLTProcessor that will use the specified XMLParserLiaison and XPathFactory to interact with a given XML parser. If your input is in the form of a file, character stream, byte stream, or SAX DocumentHandler, you may want to use the high-performance DTM liaison and parser, in which case you can use the no-argument getProcessor() method.
  Parameters:
    `parserLiaison` - the XMLParserLiaison set up to interact with a given XML parser.
    `xpathFactory` - A custom XPathFactory.
  Returns:
    An implentation of the XSLTProcessor interface with which you can perform transformations.
  See Also:
    `getProcessor()`, `XMLParserLiaison`, `DTMLiaison`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.